import Vue from 'vue'
import VueRouter from 'vue-router'
import HomePageWrapper from '@/views/Home/HomePageWrapper.vue'
import IndexPage from '@/views/Home/IndexPage.vue'
import AboutPage from '@/views/Home/AboutPage.vue'
import ColorfulPage from '@/views/Home/ColorfulPage.vue'
import CulturePage from '@/views/Home/CulturePage.vue'
import JoinUsPage from '@/views/Home/JoinUsPage.vue'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    component: HomePageWrapper,
    children: [
      {
        path: '/',
        name: 'IndexPage',
        component: IndexPage,
      },
      {
        path: '/about',
        name: 'AboutPage',
        component: AboutPage,
      },
      {
        path: '/colorful',
        name: 'ColorfulPage',
        component: ColorfulPage,
      },
      {
        path: '/culture',
        name: 'CulturePage',
        component: CulturePage,
      },
      {
        path: '/join-us',
        name: 'JoinUsPage',
        component: JoinUsPage,
      },
    ],
  },
]

const router = new VueRouter({
  routes,
  mode: 'history',
})

export default router
